cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 30971] New: - XSP compile failure when using Java 1.5 features
Date Tue, 31 Aug 2004 20:29:14 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG 
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://issues.apache.org/bugzilla/show_bug.cgi?id=30971>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND 
INSERTED IN THE BUG DATABASE.

http://issues.apache.org/bugzilla/show_bug.cgi?id=30971

XSP compile failure when using Java 1.5 features

           Summary: XSP compile failure when using Java 1.5 features
           Product: Cocoon 2
           Version: 2.1.5
          Platform: PC
        OS/Version: Linux
            Status: NEW
          Severity: Normal
          Priority: Other
         Component: blocks
        AssignedTo: dev@cocoon.apache.org
        ReportedBy: thomasz@hostmaster.org


I am trying to use the new JDK1.5 foreach loop in XSP, basically:

List entries = new ArrayList();
for (Map entry: entries) {
        ...
}

which causes the following error with the default EclipseJavaCompiler:

// start error (lines 1003-1003) "Syntax error on token ":", ";"
expected"
                                                for (Map entry: entries)
{

// end error

or even with the Javac compiler:

/home/tomcat/work/Default/beta.hostmaster.org/_/cocoon-
files/org/apache/cocoon/www/Dictionary_xsp.java:1003: ';' expected.
                                                for (Map entry: entries)
{

Cocoon is running under Tomcat 5.0.28 on j2sdk-1.5.0-beta2-b51.

Mime
View raw message